Subject: Re: [BUG] netconsole broken by scheduler updates

From: Peter Zijlstra <[email-masked]>
Date: Thu, 26 May 2011 11:48:28 +0200

On Thu, 2011-05-26 at 11:21 +0200, Laurent Riffard wrote:
> Hi,
> 
> Recently, netconsole was broken by some scheduler updates. Kernel hangs 
> on boot near the network card initialization. I noticed that it does 
> hang just where a "inconsistent lock state" message normally appears.
> 
> I did a bisection : e4a52bcb9a18142d79e231b6733cabdbf2e67c1f is the 
> first bad commit.
> commit e4a52bcb9a18142d79e231b6733cabdbf2e67c1f
> Author: Peter Zijlstra <[email-masked]>
> Date:   Tue Apr 5 17:23:54 2011 +0200
> 
>     sched: Remove rq->lock from the first half of ttwu()
> 
> 
> Before this commit, kernel was booting succesfully despite the 
> "inconsistent lock state" message. After this commit, the kernel does 
> hang on boot, I have to push the reset button.

Do you have CONFIG_HARDLOCKUP_DETECTOR=y, and do you get an NMI splat
after some 10 seconds? It would be interesting to see where its stuck.

Also, are you very _very_ sure that lockdep message is a false positive?